ru.bitel.bgbilling.kernel.task.server.task

## Class TaskGenerator

- java.lang.Object
- - ru.bitel.bgbilling.kernel.task.server.TaskBase
  - - ru.bitel.bgbilling.kernel.task.server.task.TaskGenerator

- All Implemented Interfaces:
    java.lang.Runnable

      public class TaskGenerator
      extends ru.bitel.bgbilling.kernel.task.server.TaskBase

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `ACTION_ADD`
    `static int` | `ACTION_DEL`

    - ### Fields inherited from class ru.bitel.bgbilling.kernel.task.server.TaskBase

      `defaultDescription, log, moduleId, setup, STATUS_FINISHED, STATUS_FINISHED_INTERRUPTED, STATUS_NOTSTARTED, STATUS_WORKING, taskId, taskSetup`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TaskGenerator()`
    `TaskGenerator(java.sql.Connection con)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `executeTask()`
    `java.lang.String` | `getDescription()`
    `protected boolean` | `initTask()`
    `void` | `loadTask(int action, java.util.Date date, int sourceID, java.util.List<java.lang.String> hourss)`
    `void` | `loadTaskAdd(java.util.Calendar date, int sourceID)`
    `void` | `loadTaskAll(int action, java.util.Date date, int mid, java.util.List<java.lang.String> hours)`
    `void` | `loadTaskAllAdd(java.util.Calendar date, int mid)`
    `void` | `loadTaskAllDelete(java.util.Calendar date, int mid)`
    `void` | `loadTaskDelete(java.util.Calendar date, int source_id)`
    `void` | `processTask(int action, java.util.Date date, int mid, int sourceID, java.util.List<java.lang.String> hours)`
    `void` | `processTask(int action, java.util.Date date, int mid, java.util.List<java.lang.String> hours)`
    `void` | `processTaskAdd(java.util.Calendar date, int mid)`
    `void` | `processTaskAdd(java.util.Calendar date, int mid, int param)`
    `void` | `processTaskDelete(java.util.Calendar date, int mid)`
    `void` | `processTaskDelete(java.util.Calendar date, int mid, int param)`

    - ### Methods inherited from class ru.bitel.bgbilling.kernel.task.server.TaskBase

      `getFinishTime, getModuleId, getOperatingTime, getStartTime, getTaskSetup, getTaskStatus, getWorkingTime, initTask, putMyselfIntoTable, removeMyselfFromTable, run, runLocal, setExecutingTime, setModuleId, startTask`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### ACTION_ADD

          public static final int ACTION_ADD

      See Also:
        Constant Field Values

    - #### ACTION_DEL

          public static final int ACTION_DEL

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### TaskGenerator

          public TaskGenerator()

    - #### TaskGenerator

          public TaskGenerator(java.sql.Connection con)

  - ### Method Detail

    - #### getDescription

          public java.lang.String getDescription()

      Specified by:
        `getDescription` in class `ru.bitel.bgbilling.kernel.task.server.TaskBase`

    - #### executeTask

          protected void executeTask()

      Specified by:
        `executeTask` in class `ru.bitel.bgbilling.kernel.task.server.TaskBase`

    - #### loadTask

          public void loadTask(int action,
                               java.util.Date date,
                               int sourceID,
                               java.util.List<java.lang.String> hourss)

    - #### loadTaskAll

          public void loadTaskAll(int action,
                                  java.util.Date date,
                                  int mid,
                                  java.util.List<java.lang.String> hours)

    - #### loadTaskAdd

          public void loadTaskAdd(java.util.Calendar date,
                                  int sourceID)

    - #### loadTaskAllAdd

          public void loadTaskAllAdd(java.util.Calendar date,
                                     int mid)

    - #### loadTaskDelete

          public void loadTaskDelete(java.util.Calendar date,
                                     int source_id)

    - #### loadTaskAllDelete

          public void loadTaskAllDelete(java.util.Calendar date,
                                        int mid)

    - #### processTask

          public void processTask(int action,
                                  java.util.Date date,
                                  int mid,
                                  int sourceID,
                                  java.util.List<java.lang.String> hours)

    - #### processTask

          public void processTask(int action,
                                  java.util.Date date,
                                  int mid,
                                  java.util.List<java.lang.String> hours)

    - #### processTaskAdd

          public void processTaskAdd(java.util.Calendar date,
                                     int mid)

    - #### processTaskAdd

          public void processTaskAdd(java.util.Calendar date,
                                     int mid,
                                     int param)

    - #### processTaskDelete

          public void processTaskDelete(java.util.Calendar date,
                                        int mid)

    - #### processTaskDelete

          public void processTaskDelete(java.util.Calendar date,
                                        int mid,
                                        int param)

    - #### initTask

          protected boolean initTask()

      Specified by:
        `initTask` in class `ru.bitel.bgbilling.kernel.task.server.TaskBase`